package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadSbStatCommandResponse;

public class ReadSbStatCommand extends ReadMemoryCommand {


	/**
	 * 
	 */
	private static final long serialVersionUID = 2012765001513008977L;

	@Override
	public Class<ReadSbStatCommandResponse> getResponseClass() {
		return ReadSbStatCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询水泵运行状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READSBSTAT;
	}

}
